%define base_name       gtk-theme
%define theme_name      clearlooks
%define name            %{base_name}-%{theme_name}
%define version         0.5
%define release         1mdk
%define summary         Clearlooks Gtk Engine

Name:                   %{name}
Version:                %{version}
Release:                %{release}
Summary:                %{summary}
License:                GPL
Group:                  Graphical desktop/GNOME
Source0:                %{theme_name}-%{version}.tar.bz2
Source1:		%{theme_name}-metacity-theme-1.xml
URL:                    http://www.gnome-look.org/content/show.php?content=19527
BuildRequires:          gtk+2-devel >= 2.6.0
BuildRoot:              %{_tmppath}/%{name}-buildroot
Obsoletes:		gtk-engine-%{theme_name}
Provides:		gtk-engine-%{theme_name}

%description
Clearlooks is new modern looking engine, based on Bluecurve.
It has the looks of various themes blended together, resulting
in a theme that's easy on the eyes and visually pleasing ;)
 
The difference with pixmap based themes, is that it does not
sacrifice a lot of speed. In fact, it is roughly as fast as Bluecurve.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -n %{theme_name}-%{version}

%build
%configure --enable-animation
%make

%install
%makeinstall_std
install -d -m 755 %{buildroot}%{_datadir}/themes/Clearlooks/metacity-1/
install -m 755 %{SOURCE1} %{buildroot}%{_datadir}/themes/Clearlooks/metacity-1/metacity-theme-1.xml

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING CREDITS TODO ChangeLog README
%{_libdir}/gtk-2.0/2.4.0/engines/libclearlooks.*
%{_datadir}/themes/Clearlooks/metacity-1/metacity-theme-1.xml
%{_datadir}/themes/Clearlooks-Olive/gtk-2.0/gtkrc
%{_datadir}/themes/Clearlooks-DeepSky/gtk-2.0/gtkrc
%{_datadir}/themes/Clearlooks/gtk-2.0/gtkrc
%{_datadir}/themes/Clearlooks/index.theme
%{_datadir}/icons/Clearlooks/index.theme
%{_datadir}/icons/Clearlooks/24x24/gtk/*.png
%{_datadir}/icons/Clearlooks/16x16/gtk/*.png



%changelog
* Mon Mar 21 2005 Laurent Culioli <laurent@mandrake.org> 0.5-1mdk
- 0.5

* Wed Mar 09 2005 Laurent Culioli <laurent@mandrake.org> 0.4-1mdk
- 0.4
- now a theme 

* Tue Feb 10 2005 Laurent Culioli <laurent@mandrake.org> 0.2.2-1mdk
- initial spec
